<div class="custom-card">
    <div class="card-body">
            <span *ngIf="saqResponse.saqQuestion?.parentQuestion" class="f-14 m-3 d-flex">
                <span>{{saqResponse.saqQuestion?.parentQuestion?.questionNumber}}</span>&nbsp;
                <span [innerHTML]="saqResponse.saqQuestion?.parentQuestion?.questionText"></span>
            </span>
        <div class="m-3 f-14">
            <span *ngIf="!isQueRoman; else queListView"  class="d-flex">
                <span>{{saqResponse.saqQuestion?.questionNumber}}</span>&nbsp;
                <span [innerHTML]="saqResponse.saqQuestion?.questionText"></span>
            </span>
            <ng-template #queListView class="m-3 f-14">
                <ul>
                    <li>
                        <span class="d-inline-block" [innerHTML]="saqResponse.saqQuestion?.questionText"></span>
                    </li>
                </ul>
            </ng-template>
            <div class="mt-3 ml-3 testing">
                <span><b>Expected Testing</b></span>
                <ul>
                    <li *ngFor="let tests of saqResponse.saqQuestion?.expectedTests">
                        {{tests.testName}}
                    </li>
                </ul>
            </div>
        </div>

    </div>
</div>

<div class="card mt-4">
    <div class="card-header"><h6>Assessor Response</h6></div>
    <div class="card-body m-3 show-in-des">
        <div class="d-flex">
            <div><h6>Response : </h6></div>
            <div class="p-0"><h6>{{saqResponse.questionResponse === QUESTION_RESPONSE.YES_WITH_CCW ? 'Yes With CCW':
                (saqResponse.questionResponse === QUESTION_RESPONSE.NA ? 'N/A' :
                (saqResponse.questionResponse === QUESTION_RESPONSE.NOT_TESTED ? 'Not Tested':
                saqResponse.questionResponse))}}</h6></div>
        </div>
        <div [ngSwitch]="saqResponse?.questionResponse" class="m-3">
            <div *ngSwitchCase="QUESTION_RESPONSE.NA">
                <div class="mb-3"><h6>Appendix C: Explanation of non-Applicability</h6></div>
                <div>
                    <table>
                        <thead>
                        <tr>
                            <th>Requirement #</th>
                            <th>Reason Requirement is not applicable</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>{{saqResponse.saqQuestion?.questionNumber}}</td>
                            <td>{{saqResponse.nonApplicabilityExplanation.reasonRequirementNotApplicable}}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div *ngSwitchCase="QUESTION_RESPONSE.NOT_TESTED">
                <div class="mb-3"><h6>Appendix D: Explaination of Requirements Not Tested</h6></div>
                <div>
                    <table>
                        <thead>
                        <tr>
                            <th class="a1">Requirement #</th>
                            <th class="a2">Describe which part(s) of the requirement was not tested</th>
                            <th class="a3">Describe why requirements were not tested</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>{{saqResponse.saqQuestion?.questionNumber}}</td>
                            <td>{{saqResponse.requirementNotTestedExplanation.requirementPartNotTested}}</td>
                            <td>{{saqResponse.requirementNotTestedExplanation.reason}}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div *ngSwitchCase="QUESTION_RESPONSE.YES_WITH_CCW">
                <div class="mb-3"><h6>Appendix B: Compensating Controls Worksheets</h6></div>
                <div class="d-flex">
                    <div class="col-2 p-0"><h6>Requirement # : </h6></div>
                    <div class="col-10 p-0"><h6>{{saqResponse.saqQuestion?.questionNumber}}</h6></div>
                </div>
                <div>
                    <table>
                        <thead>
                        <tr>
                            <th class="a1"></th>
                            <th class="a2"></th>
                            <th class="a3">Information Required</th>
                            <th class="a3">Explanation</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngFor="let ccw of saqResponse?.compensatingControlWorksheetResponses; let i = index">
                            <td>{{i+1}}</td>
                            <td>{{ccw.compensatingControlWorksheetId.compensatingControlType}}</td>
                            <td>{{ccw.compensatingControlWorksheetId.requiredInformation}}</td>
                            <td>{{ccw.explanation}}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="card-body m-1 show-in-mob">
        <div class="d-flex text-center m-1">
            <div><h6>Response : </h6></div>
            <div><h6>{{saqResponse.questionResponse=== QUESTION_RESPONSE.YES_WITH_CCW ? 'Yes With CCW':
                (saqResponse.questionResponse === QUESTION_RESPONSE.NA ? 'N/A' :
                (saqResponse.questionResponse === QUESTION_RESPONSE.NOT_TESTED ? 'Not Tested':
                saqResponse.questionResponse))}}</h6>
            </div>
        </div>
        <div [ngSwitch]="saqResponse?.questionResponse" class="m-3">
            <div *ngSwitchCase="QUESTION_RESPONSE.NA">
                <div class="mb-3"><h6>Appendix C: Explanation of non-Applicability</h6></div>
                <div class="shadow-view">
                    <div>
                        <div class="d-flex">
                            <div class="w-50"><b>Requirement #</b></div>
                            <span class="pull-right pl-3">:</span>
                            <div class="w-50">{{saqResponse.saqQuestion?.questionNumber}}</div>

                        </div>
                        <div class="d-flex mt-2">
                            <div class="w-50"><b>Reason Requirement is not applicable</b></div>
                            <span class="pull-right pl-3">:</span>
                            <div class="w-50">
                                {{saqResponse.nonApplicabilityExplanation.reasonRequirementNotApplicable}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngSwitchCase="QUESTION_RESPONSE.NOT_TESTED">
                <div class="mb-3"><h6>Appendix D: Explaination of Requirements Not Tested</h6></div>
                <div class="shadow-view">
                    <div>
                        <div class="d-flex">
                            <div class="w-50"><b>Requirement #</b></div>
                            <span class="pull-right pl-3">:</span>
                            <div class="w-50">{{saqResponse.saqQuestion?.questionNumber}}</div>
                        </div>
                        <div class="d-flex mt-2">
                            <div class="w-50"><b>Describe which part(s) of the requirement was not tested</b></div>
                            <span class="pull-right pl-3">:</span>
                            <div class="w-50 modal-open">
                                {{saqResponse.requirementNotTestedExplanation.requirementPartNotTested}}
                            </div>
                        </div>
                        <div class="d-flex mt-2">
                            <div class="w-50"><b>Describe why requirements were not tested</b></div>
                            <span class="pull-right pl-3">:</span>
                            <div class="w-50 modal-open">{{saqResponse.requirementNotTestedExplanation.reason}}</div>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngSwitchCase="QUESTION_RESPONSE.YES_WITH_CCW">
                <div class="mb-3"><h6>Appendix B: Compensating Controls Worksheets</h6></div>
                <div class="d-flex">
                    <div><h6>Requirement # : </h6></div>
                    <div><h6>{{saqResponse.saqQuestion?.questionNumber}}</h6></div>
                </div>

                <div class="shadow-view mt-2"
                     *ngFor="let ccw of saqResponse?.compensatingControlWorksheetResponses; let i = index">
                    <div>
                        <div class="d-flex">
                            <div><b>{{i+1}}</b></div>
                        </div>
                        <div class="d-flex mt-2">
                            <div><b>{{ccw.compensatingControlWorksheetId.compensatingControlType}}</b></div>
                        </div>
                        <div class="d-flex mt-2">
                            <div class="w-50"><b>Information Required</b></div>
                            <span class="pull-right pl-3">:</span>
                            <div class="w-50 modal-open">{{ccw.compensatingControlWorksheetId.requiredInformation}}
                            </div>
                        </div>
                        <div class="d-flex mt-2">
                            <div class="w-50"><b>Explanation</b></div>
                            <span class="pull-right pl-3">:</span>
                            <div class="w-50 modal-open">{{ccw.explanation}}</div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<form #reviewForm="ngForm">
    <div class="card mt-4" *ngIf="reviewResponse.comments && reviewResponse.comments.length">
        <div class="card-header"><h6>Your Comments</h6></div>
        <div class="card-body m-3">
            <div *ngFor="let comment of reviewResponse.comments | orderBy : ['lastUpdatedAt']; let i = index" ng-init="comment.editMode = false"
                 class="m-1 form-group mb-2 comment-section">
                <div class="col-9">
                    <span class="comment-date">{{comment.lastUpdatedAt | localDateFormatPipe}}</span>
                    <span *ngIf="!comment.editMode">{{comment.comment}}</span>
                    <textarea rows="2" *ngIf="comment.editMode" class="textarea-width form-control"
                              [(ngModel)]="comment.comment" name="i"></textarea>
                </div>
                <div class="col-3 comment-btn">
                    <jhi-button *ngIf="!comment.editMode" delete-comment (click)="deleteComment(i)"></jhi-button>
                    <jhi-button *ngIf="comment.editMode" update-comment (click)="comment.editMode = false"></jhi-button>
                    <jhi-button *ngIf="!comment.editMode" edit-comment (click)="comment.editMode = true"></jhi-button>
                </div>
            </div>
        </div>
    </div>
    <div class="switch-btn m-4 d-flex">
        <ui-switch [(ngModel)]="showComment" size="medium" switchColor="#106CC8" defaultBgColor="#BDBDBD"
                   color="#86B4E2" name="switch"></ui-switch>
        <div class="ml-2" (click)="toggleSwitch()"><h6>{{showComment ? 'Hide Comment Box' : 'Show comment Box'}}</h6>
        </div>
    </div>
    <div *ngIf="showComment" class="card mt-4">
        <div class="card-header"><h6>Add Comment</h6></div>
        <div class="card-body">
            <div class="form-group mt-4">
                <label class="col-2"><b>Comment</b></label>
                <p class="float-right">:</p>
                <div class="col-10">
                    <textarea rows="3" name="reviewComment" class="textarea-width form-control" required
                              [(ngModel)]="comment" #reviewComment="ngModel"></textarea>
                    <div *ngIf="!reviewComment.valid && submitted"
                         class="alert alert-danger error-msg">
                        <div [hidden]="submitted && showComment && !reviewComment.hasError('required')">Comment is required!!
                        </div>
                    </div>
                </div>
            </div>
            <div class="pull-right">
                <jhi-button clear-comment (click)="emptyComment()">Clear</jhi-button>
            </div>
        </div>
    </div>
</form>
<div class=" mt-4 row-md action-div" *ngIf="!(curState === STATE.APPENDIX_WITH_LAST && (curPage === PAGE.LAST || curPage === PAGE.SINGLE))">
    <jhi-button [class.disabled]="!isFormDirty() || disableSubmit" (click)="saveAndExit(reviewForm)" exit>Save & Exit</jhi-button>
    <jhi-button *ngIf="isFixed" [class.disabled]="disableSubmit" (click)="onFixed()" fixed>Fixed</jhi-button>
    <jhi-button *ngIf="isFixed" [class.disabled]="!isFormDirty() || disableSubmit" (click)="saveAndContinue(reviewForm)" continue>Save Comment</jhi-button>
    <jhi-button *ngIf="!isFixed" [class.disabled]="!isFormDirty() || disableSubmit" (click)="saveAndContinue(reviewForm)" continue>Save & Continue
    </jhi-button>
</div>
<div class="row-md action-div" *ngIf="curState === STATE.APPENDIX_WITH_LAST && (curPage === PAGE.LAST || curPage === PAGE.SINGLE)">
    <jhi-button *ngIf="isFixed" [class.disabled]="disableSubmit" (click)="onFixed()" fixed>Fixed</jhi-button>
    <jhi-button submit-lg (click)="saveAndContinue()">Submit</jhi-button>
</div>
<div class="arrows mt-4 mb-4">
    <i [hidden]="curPage === PAGE.FIRST || curPage === PAGE.SINGLE" (click)="back()"
       class="fa fa-4x fa-angle-left ml-4"></i>
    <i [hidden]="curPage === PAGE.LAST || curPage === PAGE.SINGLE" (click)="forward()"
       class="fa fa-4x fa-angle-right float-right mr-4"></i>
</div>

